package com.mx.cneeds.server.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mx.cneeds.common.pager.PageUtils;
import com.mx.cneeds.server.entity.SysRoleFuncEntity;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

/**
 * 功能与角色映射表
 *
 * @author Mark
 * @email sunlightcs@gmail.com
 * @date 2020-01-09 15:09:01
 */
public interface SysRoleFuncService extends IService<SysRoleFuncEntity> {

    void saveOrUpdate(Long roleId, List<Long> menuIdList);

    PageUtils queryPage(Map<String, Object> params);

    int deleteBatch(Long[] roleIds);

    List<Long> queryFuncId(Long roleId);
}

